<UserControl
    x:Class="Cafe_App.View.UserControl_Laporan"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:local="clr-namespace:Cafe_App.View"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    Height="auto"
    Width="auto"
    mc:Ignorable="d">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition />
            <RowDefinition />
        </Grid.RowDefinitions>
        <Border
            Grid.Row="0"
            Margin="0,0,0,10"
            Padding="10"
            BorderBrush="Black"
            BorderThickness="1">
            <Grid Background="#D3D3D3">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition />
                    <ColumnDefinition />
                    <ColumnDefinition />
                    <ColumnDefinition />
                    <ColumnDefinition />
                </Grid.ColumnDefinitions>
                <Grid.RowDefinitions>
                    <RowDefinition Height="50" />
                    <RowDefinition Height="*" />
                </Grid.RowDefinitions>

                <TextBlock
                    Grid.ColumnSpan="2"
                    Margin="10,12,146,12"
                    VerticalAlignment="Center"
                    FontSize="18" FontWeight="SemiBold"
                    >
                    Penjualan
                </TextBlock>
                <TextBlock Grid.Column="3" VerticalAlignment="Center">Total Pemasukan</TextBlock>
                <TextBlock Grid.Column="4" VerticalAlignment="Center" Text="{Binding TotalPemasukan, StringFormat={}{0:Rp 0}}"></TextBlock>

                <ListView
                    Grid.Row="1"
                    Grid.ColumnSpan="5"
                    Margin="5"
                    BorderBrush="Black"
                    BorderThickness="1"
                    SelectionChanged="ListView_SelectionChanged"
                    SelectedItem="{Binding SelectedPenjualan}"
                    ItemsSource="{Binding ListPenjualan}">
                    <ListView.View>
                        <GridView>
                            <GridViewColumn DisplayMemberBinding="{Binding ID_Penjualan}" Header="ID" />
                            <GridViewColumn DisplayMemberBinding="{Binding Tanggal}" Header="Tanggal" />
                            <GridViewColumn DisplayMemberBinding="{Binding Total, StringFormat={}{0:n0}}" Header="Pemasukan" />
                            <GridViewColumn DisplayMemberBinding="{Binding Pelanggan}" Header="Pelanggan" />
                            <GridViewColumn DisplayMemberBinding="{Binding ModelKasir.Nama}" Header="Kasir" />
                        </GridView>
                    </ListView.View>
                </ListView>
            </Grid>

        </Border>
        <Border
            Grid.Row="1"
            Margin="0,0,0,10"
            Padding="10"
            BorderBrush="Black"
            BorderThickness="1">
            <Grid Background="#D3D3D3">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition />
                    <ColumnDefinition />
                    <ColumnDefinition />
                    <ColumnDefinition />
                    <ColumnDefinition />
                </Grid.ColumnDefinitions>
                <Grid.RowDefinitions>
                    <RowDefinition Height="40" />
                    <RowDefinition Height="*" />
                </Grid.RowDefinitions>

                <TextBlock
                    Grid.ColumnSpan="2"
                    Margin="10,12,146,12"
                    VerticalAlignment="Center" FontSize="18" FontWeight="SemiBold">
                    Pembelian
                </TextBlock>
                <TextBlock Grid.Column="3" VerticalAlignment="Center">Total Pengeluaran</TextBlock>
                <TextBlock Grid.Column="4" VerticalAlignment="Center" Text="{Binding TotalPengeluaran, StringFormat={}{0:Rp 0}}"></TextBlock>

                <ListView
                    Grid.Row="1"
                    Grid.ColumnSpan="5"
                    Margin="5"
                    BorderBrush="Black"
                    BorderThickness="1"
                    SelectionChanged="ListView_SelectionChanged_1"
                    SelectedItem="{Binding SelectedPembelian}"
                    ItemsSource="{Binding ListPembelian}">
                    <ListView.View>
                        <GridView>
                            <GridViewColumn DisplayMemberBinding="{Binding ID_Pembelian}" Header="ID" />
                            <GridViewColumn DisplayMemberBinding="{Binding Tanggal}" Header="Tanggal" />
                            <GridViewColumn DisplayMemberBinding="{Binding Total, StringFormat={}{0:n0}}" Header="Pengeluaran" />
                            <GridViewColumn DisplayMemberBinding="{Binding Keterangan}" Header="Keperluan" />
                            <GridViewColumn DisplayMemberBinding="{Binding ModelManager.Nama}" Header="Penanggungjawab" />
                        </GridView>
                    </ListView.View>
                </ListView>
            </Grid>

        </Border>

    </Grid>
</UserControl>
